apiVersion: argoproj.io/v1alpha1
kind: AppProject
metadata:
  name: cluster-services
spec:
  clusterResourceWhitelist:
    - group: '*'
      kind: '*'
  description: Cluster Services
  destinations:
  - namespace: '*'
    server: '*'
  roles:
  - name: admin
    description: Sync permissions for cluster services
    groups:
    - danny-squitin-portfolio/devops-home-lab
  sourceRepos:
    - https://gitlab.com/danny-squitin-portfolio/devops-home-lab/argocd-deployment.git
    - https://gitlab.com/danny-squitin-portfolio/devops-home-lab/kubernetes-dashboard-deployment.git
